/* yassh_types.hpp                           
 *
 * Copyright (C) 2006 Sawtooth Consulting Ltd.
 *
 * This file is part of yaSSH.
 *
 * yaSSH is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * yaSSH is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */


/* The socket wrapper header defines a Socket class that hides the differences
 * between Berkely style sockets and Windows sockets, allowing transparent TCP
 * access.
 */


#ifndef yaSSH_TYPES_HPP
#define yaSSH_TYPES_HPP

#include "../taocrypt/include/types.hpp"


namespace yaSSH {


typedef unsigned int uint;
typedef bool         boolean;

using TaoCrypt::byte;
using TaoCrypt::word16;
using TaoCrypt::word32;

#ifdef WORD64_AVAILABLE
    using TaoCrypt::word64;
#endif



}      // namespace
#endif // yaSSH_TYPES_HPP

